Subject: hpff: New HTML F90 and HPF Courses available

From: "Dr A.C. Marshall" <[email-masked]>
Date: Fri, 29 Nov 1996 17:31:47 +0000 (GMT)

---------------------------------------------------------------------------
[email-masked] is a mailing list for announcements related to High
Performance Fortran.  Instructions for adding or deleting yourself
from this list appear at the bottom of this message.
---------------------------------------------------------------------------

New Fortran 90 and HPF HTML Courses
+++++++++++++++++++++++++++++++++++

The Computing Services Department of the  University of Liverpool would
like to announce the availability of their popular Fortran 90 and High
Performance Fortran Courses in a new interactive Web-based HTML format. 

Both courses have a similar structure. A topic can be sleceted from the 
contents page which will display an overview of the selected subject.
The user can then either follow a hypertext link to a more detailed 
explanation or, choose to attempt a programming exercise instead. After the 
user has finished the exercise, a solution may be viewed. In many cases
the user can retrieve a solution template to help him or her get started.

Both of these courses are available over the Internet or for local 
installation by academic institutions as part of an Intranet. Use of
these courses for commercial purposes may be available upon request.

The traditional paper-based versions of these courses have been used by
many UK academic and research institutions and have received good 
reports - any feedback on the interactive HTML-based versions is strongly 
welcomed. The paper-based version are still available.

The main point of access should be URL:

        http://www.liv.ac.uk/HPC/HPCpage.html

The Fortran 90 course covers all the major language topics: 

	declarations,
	expressions and assignment, 
	control constructs, 
	arrays, 
	intrinsics, 
	I/O,
	program units (procedures), 
	modules, 
	pointers, 	
	derived types, 
	parameterised data types.

	http://www.liv.ac.uk/HPC/HTMLFrontPageF90.html

The HPF course covers most topics excluding dynamic mappings:

	Fortran 90 
		- declarations,
		- expressions and assignment, 
		- control constructs, 
		- arrays (parallel assignment),
		- intrinsics, 
		- I/O,
		- program units (procedures), 
		- modules, 

	HPF
		- data parallelism,
		- HPF directives,
		- array distribution,
		- data alignment,
		- templates,
		- data parallel execution (FORALL, INDEPENDENT NEW, PURE),
		- procedures (and INTERFACEs),
		- modules,
		- HPF Intrinsics and Library,
		- Extrinsics (using libraries, exploiting parallelism),
		- choosing distributions,
		- HPF Kernel,
		- HPF-2
		
	http://www.liv.ac.uk/HPC/HTMLFrontPageHPF.html

---

Adam Marshall, CSD, University of Liverpool. 29 Nov 1996.
Email: [email-masked]

Funding is by the JISC New Technologies Initiative

-- 
+-------------------------------------------------------------------------+
| Dr AC Marshall. Computing Services Department, University of Liverpool. |
|                 Chadwick Building, Peach St., Liverpool. L69 7ZF.       |
|                 Tel: 0151-794 3722 (Fax: 3759).                         | 
|                 http://www.liv.ac.uk/HPC/HPCpage.html                   |
+-------------------------------------------------------------------------+
| Cheese of the Week: Port Salut                                       |
|   Port Salut, similar to St Paulin. In fact, what IS the difference? |
+----------------------------------------------------------------------+
---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to [email-masked].  Leave
the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------